Skip to main content
`Ctrl`+`K`

# PetscRegressorViewFromOptions

View a `PetscRegressor` object based on values in the options database

## Synopsis

    PetscErrorCode PetscRegressorViewFromOptions(PetscRegressor A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscRegressor` context

- obj - Optional object that provides the prefix for the options database

- name - command line option

## See Also

PetscRegressor: Regression Solvers, `PetscRegressor`, `PetscRegressorView`, `PetscObjectViewFromOptions()`, `PetscRegressorCreate()`

## Level

intermediate

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages